package com.flossom.common.core.domain.entity;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.flossom.common.core.annotation.Excel;
import com.flossom.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 用户仪器绑定对象 wx_user_instrument
 *
 * @author flossom
 * @date 2024-01-10
 */
public class WxUserInstrument extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 序列号 */
    @Excel(name = "序列号")
    private String serial;

    /** 仪器id */
    @Excel(name = "仪器id")
    private Long instrumentId;

    /** 仪器名称 */
    @Excel(name = "仪器名称")
    private String instrumentName;

    /** 序列号图片 */
    @Excel(name = "序列号图片")
    private String serialImage;

    /** 保修日期 */
    @Excel(name = "保修日期")
    private Long guarantee;



    /** 保修到期时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "保修到期时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date guaranteeEndtime;

    /** 绑定状态，1未绑定，2已解绑 */
    @Excel(name = "绑定状态，1未绑定，2已解绑，0-已绑定")
    private Integer bindingStatus;

    /** 状态（0正常 1停用） */
    @Excel(name = "状态", readConverterExp = "0=正常,1=停用")
    private Long status;
    // 仪器实体
    private WxInstrument wxInstrument;

    // 微信用户实体
    private WxUserMember wxUserMember;

    // 查询用户ID 格式为xxx,xxx,xxx
    private String userIds;
    private List<Long> userIdArray;
    // 用户手机
    private String userPhone;
    // 查询仪器id集合
    private String instrumentIds;
    // 仪器集合名称集合
    private List<String> instrumentIdArray;
    // 状态集合
    private List<String> bindingStatusArray;
    // 查询用的昵称
    private String nickName;
    // 查询的绑定状态
    private List<String> bindStatusQuery;
    private String mapperBindStatus;
    // 查询时间
    private String startTime;
    private String endTime;

    // 导出处理查询字段
    /**
     * 自定导出字段
     */
    private List<String> exportFields = new ArrayList<>();

    private List<Long> userInstrumentIdList = new ArrayList<>();
    // 是否全部绑定详情 all
    private String queryString;

    public List<Long> getUserIdArray() {
        return userIdArray;
    }

    public void setUserIdArray(List<Long> userIdArray) {
        this.userIdArray = userIdArray;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getUserIds() {
        return userIds;
    }

    public void setUserIds(String userIds) {
        this.userIds = userIds;
    }

    public String getUserPhone() {
        return userPhone;
    }

    public void setUserPhone(String userPhone) {
        this.userPhone = userPhone;
    }

    public String getInstrumentIds() {
        return instrumentIds;
    }

    public void setInstrumentIds(String instrumentIds) {
        this.instrumentIds = instrumentIds;
    }

    public List<String> getInstrumentIdArray() {
        return instrumentIdArray;
    }

    public void setInstrumentIdArray(List<String> instrumentIdArray) {
        this.instrumentIdArray = instrumentIdArray;
    }

    public List<String> getBindingStatusArray() {
        return bindingStatusArray;
    }

    public void setBindingStatusArray(List<String> bindingStatusArray) {
        this.bindingStatusArray = bindingStatusArray;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getMapperBindStatus() {
        return mapperBindStatus;
    }

    public void setMapperBindStatus(String mapperBindStatus) {
        this.mapperBindStatus = mapperBindStatus;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }
    public void setSerial(String serial)
    {
        this.serial = serial;
    }

    public String getSerial()
    {
        return serial;
    }
    public void setInstrumentId(Long instrumentId)
    {
        this.instrumentId = instrumentId;
    }

    public Long getInstrumentId()
    {
        return instrumentId;
    }
    public void setInstrumentName(String instrumentName)
    {
        this.instrumentName = instrumentName;
    }

    public String getInstrumentName()
    {
        return instrumentName;
    }
    public void setSerialImage(String serialImage)
    {
        this.serialImage = serialImage;
    }

    public String getSerialImage()
    {
        return serialImage;
    }
    public void setGuarantee(Long guarantee)
    {
        this.guarantee = guarantee;
    }

    public Long getGuarantee()
    {
        return guarantee;
    }
    public void setGuaranteeEndtime(Date guaranteeEndtime)
    {
        this.guaranteeEndtime = guaranteeEndtime;
    }

    public Date getGuaranteeEndtime()
    {
        return guaranteeEndtime;
    }
    public void setBindingStatus(Integer bindingStatus)
    {
        this.bindingStatus = bindingStatus;
    }

    public Integer getBindingStatus()
    {
        return bindingStatus;
    }
    public void setStatus(Long status)
    {
        this.status = status;
    }

    public Long getStatus()
    {
        return status;
    }

    public WxInstrument getWxInstrument() {
        return wxInstrument;
    }

    public void setWxInstrument(WxInstrument wxInstrument) {
        this.wxInstrument = wxInstrument;
    }

    public WxUserMember getWxUserMember() {
        return wxUserMember;
    }

    public void setWxUserMember(WxUserMember wxUserMember) {
        this.wxUserMember = wxUserMember;
    }

    public List<String> getBindStatusQuery() {
        return bindStatusQuery;
    }

    public void setBindStatusQuery(List<String> bindStatusQuery) {
        this.bindStatusQuery = bindStatusQuery;
    }

    public List<String> getExportFields() {
        return exportFields;
    }

    public void setExportFields(List<String> exportFields) {
        this.exportFields = exportFields;
    }

    public List<Long> getUserInstrumentIdList() {
        return userInstrumentIdList;
    }

    public void setUserInstrumentIdList(List<Long> userInstrumentIdList) {
        this.userInstrumentIdList = userInstrumentIdList;
    }

    public String getQueryString() {
        return queryString;
    }

    public void setQueryString(String queryString) {
        this.queryString = queryString;
    }


}
